Bug 419201 - mod_auth_pam fails with selinux enforcing, targeted
mod_auth_pam fails with selinux enforcing, targeted
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: mod_auth_pam (Show other bugs)
8
x86_64 Linux
low Severity medium
: ---
: ---
Assigned To: Ignacio Vazquez-Abrams
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-12-10 23:36 EST by Rob Riggs
Modified: 2009-01-09 00:28 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-01-09 00:28:32 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Rob Riggs 2007-12-10 23:36:57 EST
Description of problem:
In the default configuration, httpd + mod_auth_pam is denied the ability to
allow PAM subsystem to execute the helper application unix_chkpwd.  Even after
creating a local policy to allow it, authentication against a shadow password
database fails.

Version-Release number of selected component (if applicable):
mod_auth_pam-1.1.1-5.fc8
httpd-2.2.6-3
selinux-policy-targeted-3.0.8-62.fc8

How reproducible:
Always

Steps to Reproduce:
1. Set up system with shadow passwords
2. Set selinux to enforcing, targeted
3. Install mod_auth_pam
4. Set up http location with password protection (Require valid-user)
5. Attempt to access http location
  
Actual results:
401 Authorization required with proper credentials

Expected results:
Access granted with proper credentials

Additional info:
Adding the following eliminates entries from audit log, but still doesn't
authenticate.

policy_module(mod_auth_pam,2.0.2)

require {
        type httpd_t;
}

auth_domtrans_chk_passwd(httpd_t);
logging_send_audit_msgs(httpd_t);
Comment 1 Bug Zapper 2008-11-26 03:56:27 EST
This message is a reminder that Fedora 8 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 8.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '8'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 8's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 8 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 2 Bug Zapper 2009-01-09 00:28:32 EST
Fedora 8 changed to end-of-life (EOL) status on 2009-01-07. Fedora 8 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.